Extending Qt Creator Manual | FontSettingsPage

Extending Qt Creator Manual 4.5.2

# FontSettingsPage Class

(TextEditor::FontSettingsPage)

Inherits: | TextEditor::TextEditorOptionsPage

- List of all members, including inherited members

## Public Functions

| FontSettingsPage(const FormatDescriptions &fd, Core::Id id, QObject *parent = 0)
| ~FontSettingsPage()
const FontSettings & | fontSettings() const
void | saveSettings()

## Reimplemented Public Functions

virtual void | apply()
virtual void | finish()
virtual QWidget * | widget()

- 9 public functions inherited from Core::IOptionsPage

## Signals

void | changed(const TextEditor::FontSettings &)

### Additional Inherited Members

- 5 protected functions inherited from Core::IOptionsPage

## Member Function Documentation

### FontSettingsPage::FontSettingsPage(const FormatDescriptions &fd, Core::Id id, QObject *parent = 0)

Default constructs an instance of FontSettingsPage.

### FontSettingsPage::~FontSettingsPage()

Destroys the instance of FontSettingsPage.

### `[virtual]` void FontSettingsPage::apply()

### `[signal]` void FontSettingsPage::changed(const TextEditor::FontSettings &)

### `[virtual]` void FontSettingsPage::finish()

### const FontSettings &FontSettingsPage::fontSettings() const

### void FontSettingsPage::saveSettings()

### `[virtual]` QWidget *FontSettingsPage::widget()